DROP TABLE Customer;
DROP TABLE Account_Info;
DROP TABLE Loan_Info;
DROP TABLE Card_Info;
DROP TABLE Employee_Info;
DROP TABLE Account_Table;

CREATE TABLE Account_Table
(
	Account_Number number(10),
	PRIMARY KEY(Account_Number)
);

CREATE TABLE Customer
(
	Account_Number number(10),
	Customer_Name varchar(30),
	Customer_Address varchar(30),
	Customer_Age number(3),
	Customer_Branch varchar(20),
	Customer_Gender varchar(10),
	FOREIGN KEY (Account_Number) REFERENCES Account_Table (Account_Number) ON DELETE CASCADE
);

CREATE TABLE Account_Info
(
	Account_Number number(10),
	Balance number(15),
	Account_Branch varchar(20),
	FOREIGN KEY (Account_Number) REFERENCES Account_Table (Account_Number) ON DELETE CASCADE		
);

CREATE TABLE Loan_Info
(
	Account_Number number(10),
	Interest varchar(5),
	Loan_Type varchar(15),
	Loan_Amount number(15),
	FOREIGN KEY (Account_Number) REFERENCES Account_Table (Account_Number) ON DELETE CASCADE		
);

CREATE TABLE Card_Info
(
	Account_Number number(10),
	Card_Type varchar(10),
	Card_number number(10),
	FOREIGN KEY (Account_Number) REFERENCES Account_Table (Account_Number) ON DELETE CASCADE		
);

CREATE TABLE Employee_Info
(
	Account_Number number(10),
	Employee_Id number(5) UNIQUE,
	Employee_Name varchar(20),
	Branch varchar(20),
	Status varchar(20),
	Salary number(10),
	FOREIGN KEY (Account_Number) REFERENCES Account_Table (Account_Number) ON DELETE CASCADE		
);

INSERT INTO Account_Table VALUES(1234567890);
INSERT INTO Account_Table VALUES(1234567891);
INSERT INTO Account_Table VALUES(1234567892);
INSERT INTO Account_Table VALUES(1234567893);
INSERT INTO Account_Table VALUES(1234567894);
INSERT INTO Account_Table VALUES(1234567895);
INSERT INTO Account_Table VALUES(1234567896);
INSERT INTO Account_Table VALUES(1234567897);
INSERT INTO Account_Table VALUES(1234567898);
INSERT INTO Account_Table VALUES(1234567899);
INSERT INTO Account_Table VALUES(1234567800);
INSERT INTO Account_Table VALUES(1234567801);
INSERT INTO Account_Table VALUES(1234567802);
INSERT INTO Account_Table VALUES(1234567803);
INSERT INTO Account_Table VALUES(1234567804);
INSERT INTO Account_Table VALUES(1234567805);
INSERT INTO Account_Table VALUES(1234567806);
INSERT INTO Account_Table VALUES(1234567807);
INSERT INTO Account_Table VALUES(1234567808);
INSERT INTO Account_Table VALUES(1234567809);

INSERT INTO Customer VALUES(1234567890,'Suvashis','Lalon Shah Hall',20,'KUET','Male');
INSERT INTO Customer VALUES(1234567891,'Sun','Lalon Shah Hall',20,'KUET','Male');
INSERT INTO Customer VALUES(1234567892,'Raju','Lalon Shah Hall',20,'Doulotpur','Male');
INSERT INTO Customer VALUES(1234567893,'Rashik','Sekh Mujib Hall',20,'KUET','Male');
INSERT INTO Customer VALUES(1234567894,'Sharmin','Rokeya Hall',19,'Fulbari','Female');
INSERT INTO Customer VALUES(1234567895,'Disha','Rokeya Hall',20,'KUET','Female');
INSERT INTO Customer VALUES(1234567896,'Peyal','Rokeya Hall',20,'Doulotpur','Female');
INSERT INTO Customer VALUES(1234567897,'Suhail','Lalon Shah Hall',21,'KUET','Male');
INSERT INTO Customer VALUES(1234567898,'Mafi','Amar Ekushey Hall',20,'KUET','Male');
INSERT INTO Customer VALUES(1234567899,'Fahim','Lalon Shah Hall',22,'Fulbari','Male');

INSERT INTO Account_Info VALUES(1234567890,10000,'KUET');
INSERT INTO Account_Info VALUES(1234567891,11000,'KUET');
INSERT INTO Account_Info VALUES(1234567892,12000,'Doulotpur');
INSERT INTO Account_Info VALUES(1234567893,13000,'KUET');
INSERT INTO Account_Info VALUES(1234567894,14000,'Fulbari');
INSERT INTO Account_Info VALUES(1234567895,15000,'KUET');
INSERT INTO Account_Info VALUES(1234567896,16000,'Doulotpur');
INSERT INTO Account_Info VALUES(1234567897,17000,'KUET');
INSERT INTO Account_Info VALUES(1234567898,18000,'KUET');
INSERT INTO Account_Info VALUES(1234567899,19000,'Fulbari');

INSERT INTO Loan_Info VALUES(1234567890,'30%','studentloan',1000);
INSERT INTO Loan_Info VALUES(1234567891,'25%','studentloan',2000);
INSERT INTO Loan_Info VALUES(1234567892,'25%','houseloan',3000);
INSERT INTO Loan_Info VALUES(1234567893,'20%','studentloan',4000);
INSERT INTO Loan_Info VALUES(1234567894,'20%','houseloan',5000);
INSERT INTO Loan_Info VALUES(1234567895,'15%','studentloan',6000);
INSERT INTO Loan_Info VALUES(1234567896,'15%','studentloan',7000);
INSERT INTO Loan_Info VALUES(1234567897,'10%','studentloan',8000);
INSERT INTO Loan_Info VALUES(1234567898,'5%','houseloan',9000);
INSERT INTO Loan_Info VALUES(1234567899,'5%','houseloan',1000);

INSERT INTO Card_Info VALUES(1234567890,'ATM',051107001);
INSERT INTO Card_Info VALUES(1234567891,'ATM',051107002);
INSERT INTO Card_Info VALUES(1234567892,'DEBIT',051107003);
INSERT INTO Card_Info VALUES(1234567893,'ATM',051107004);
INSERT INTO Card_Info VALUES(1234567894,'DEBIT',051107013);
INSERT INTO Card_Info VALUES(1234567895,'DEBIT',051107037);
INSERT INTO Card_Info VALUES(1234567896,'ATM',051107011);
INSERT INTO Card_Info VALUES(1234567897,'ATM',051107010);
INSERT INTO Card_Info VALUES(1234567898,'DEBIT',051107021);
INSERT INTO Card_Info VALUES(1234567899,'DEBIT',051107014);

INSERT INTO Employee_Info VALUES(1234567800,0507,'Reza','KUET','Clerk',10000);
INSERT INTO Employee_Info VALUES(1234567801,0508,'Kazi','KUET','Clerk',10000);
INSERT INTO Employee_Info VALUES(1234567802,0509,'Bipu','Fulbari','Clerk',10000);
INSERT INTO Employee_Info VALUES(1234567803,0512,'Mustafiz','Doulotpur','Clerk',10000);
INSERT INTO Employee_Info VALUES(1234567804,0515,'Dip','KUET','Manager',20000);
INSERT INTO Employee_Info VALUES(1234567805,0516,'Ria','KUET','Manager',20000);
INSERT INTO Employee_Info VALUES(1234567806,0517,'Piyel','KUET','Manager',20000);
INSERT INTO Employee_Info VALUES(1234567807,0518,'Emtious','Doulotpur','Manager',20000);
INSERT INTO Employee_Info VALUES(1234567808,0519,'Fahad','Fulbari','Manager',20000);
INSERT INTO Employee_Info VALUES(1234567809,0520,'Milon','Doulotpur','Manager',20000);
