drop table book_delievery_company_info;
drop table sell_information;
drop table employee;
drop table book;

create table book(
   book_id number(7),
   book_name varchar(100) not null,
   writter_name varchar(100) not null,
   category varchar(100),
   price decimal(5,2),
   primary key(book_id)
);

create table employee(
   employee_id number(7),
   employee_name varchar(100) not null,
   employee_phone number(11),
   join_date date,
   salary number(5),
   primary key(employee_id)
);

create table sell_information(
   customer_name varchar(100) not null,
   book_id number(7),
   book_name varchar(100) not null,
   employee_id number(7),
   selling_date date,
   foreign key(book_id) references book(book_id) on delete cascade,
   foreign key(employee_id) references employee(employee_id) on delete cascade
);

create table book_delievery_company_info(
   company_name varchar(100) not null,
   delievers_name varchar(100) not null,
   book_name varchar(100),
   writter_name varchar(100),
   delievery_date date,
   no_of_piece number(7)
);

describe book;
describe employee;
describe sell_information;
describe book_delievery_company_info;


insert into book values(123, 'Data and Computer Communications', 'Willian Stallings',
'Data communication', 395.12);
insert into book values(1234, 'Microprocessors and Interfacing', 'Douglus V Hall',  
'Microprocessor Book', 480.00);
insert into book values(112, 'Pulse,Digital and switching Waveforms', 'Jacob Millman', 
'EEE Book',695.00);
insert into book values(7109, 'Introduction to Algorithm', 'J.F.Cormen', 
'Programming',235.00);
insert into book values(1003, 'Computer Architecture and Organization', 'John P. Hayes', 
'Computer Architecture',695.00);
insert into book values(2345, 'Electronic devices and Circuit Theory', 'Boylestad',
'EEE Book',456.00);
insert into book values(7100, 'Introduction to Java Programming', 'Y.John Yiegh',
'Programming',350.00);
insert into book values(7111, 'Let us C', 'Yashwant Kanetkar','Programming',120.00);
insert into book values(1000, 'Database System Concepts', 'SuDharsion','Database based book',320.00);


insert into employee values(1,'Rajib Ahmed',01923467543,'12-JAN-2009', 7500);
insert into employee values(2,'Munir Hossain',01734537543,'05-OCT-2011', 6700);
insert into employee values(3,'Rubel Mondol',01923467543,'20-DEC-2007', 10500);
insert into employee values(4,'Asik Bipu',01734537543,'13-OCT-2009', 90000);
insert into employee values(5,'Hridoy Hasan',01923467543,'30-JUN-2012', 6500);
insert into employee values(6,'Peal Sarkar',01734537543,'25-SEP-2008', 10000);


insert into sell_information values('Niloy', 1234, 'Microprocessors and Interfacing', 5, '05-SEP-2013');
insert into sell_information values('Rased', 123, 'Data and Computer Communications', 3, '07-OCT-2013');
insert into sell_information values('Mamum', 2345, 'Electronic devices and Circuit Theory',6, '11-SEP-2013');
insert into sell_information values('Shihab', 123, 'Data and Computer Communications', 2, '23-SEP-2013');
insert into sell_information values('Rashid', 7111, 'Let us C', 1, '05-NOV-2014');
insert into sell_information values('Mahbub', 1000, 'Database System Concepts', 4, '09-OCT-2013');
insert into sell_information values('Apurbo', 7111, 'Let us C', 2, '17-OCT-2014');
insert into sell_information values('Sumi', 7100, 'Introduction to Java Programming', 5, '13-JUL-2014');
insert into sell_information values('Partho', 1234, 'Microprocessors and Interfacing', 6, '15-SEP-2013');
insert into sell_information values('Saha', 1003, 'Computer Architecture and Organization', 2, '19-JAN-2014');
insert into sell_information values('Shuvo', 112, 'Pulse,Digital and switching Waveforms', 1, '23-JUL-2014');
insert into sell_information values('Rashik', 1003, 'Computer Architecture and Organization', 3, '15-MAR-2014');


insert into book_delievery_company_info values('Faruq Book House', 'Sohan', 'Microprocessors and 
Interfacing','Douglus V Hall', '7-AUG-2013',500);
insert into book_delievery_company_info values('Faruq Book House', 'Sohan', 'Data and Computer 
Communications','Willian Stallings', '7-AUG-2013',150);
insert into book_delievery_company_info values('Faruq Book House', 'Sohan', 'Pulse,Digital and 
switching Waveforms', 'Jacob Millman', '7-AUG-2013',350);

insert into book_delievery_company_info values('Ahmed Publishers', 'Biplop', 'Let us C', 
'Yashwant Kanetkar', '05-OCT-2013', 190);
insert into book_delievery_company_info values('Ahmed Publishers', 'Biplop', 'Database System 
Concepts','SuDharsion', '05-OCT-2013', 250);
insert into book_delievery_company_info values('Ahmed Publishers', 'Biplop', 'Introduction to 
Java Programming', 'Y.John Yiegh', '05-OCT-2013', 300);

insert into book_delievery_company_info values('Ashad Printers', 'Shahid', 'Introduction to 
Algorithm', 'J.F.Cormen', '17-JUN-2013', 250);
insert into book_delievery_company_info values('Ashad Printers', 'Shahid',  
'Computer Architecture and Organization', 'John P. Hayes', '17-JUN-2013', 300);
insert into book_delievery_company_info values('Ashad Printers', 'Shahid', 'Electronic devices and 
Circuit Theory', 'Boylestad', '17-JUN-2013', 150);


select employee_id,count(book_id) as no_of_selling_book from sell_information GROUP BY employee_id 
ORDER BY employee_id;

select b.book_id,b.book_name,b.writter_name from book b,sell_information s where b.book_id=s.book_id 
and s.employee_id=4;

select employee_id,e.employee_name,s.customer_name,s.book_id,s.book_name,s.selling_date from 
employee e natural join sell_information s; 

select employee_id,e.employee_name,s.customer_name,s.book_id,s.book_name,s.selling_date from 
employee e join sell_information s using(employee_id);

select b.book_name,b.price from book b where book_id in (select s.book_id from sell_information s where 
s.employee_id in (select e.employee_id from employee e where e.employee_name='Hridoy Hasan'));

	commit;








