drop table purchase;
drop table orders;
drop table products;
drop table customers;

create table customers(
         cus_id integer,
	     cus_name varchar(10),
	     phone varchar(10),
	     street varchar(15),
         email varchar(15),
         primary key(cus_id)
);

create table products(
		pro_id integer,
		name varchar(10),
		description varchar(15),
		price number(30,2),
		in_stock integer,
		primary key(pro_id)
);

create table orders(
		order_id integer,
		cus_id integer,
		pro_id integer,
		quantity integer,
		primary key(order_id),
		foreign key(cus_id) references customers(cus_id) on delete cascade,
		foreign key(pro_id) references products(pro_id) on delete cascade
);

create table purchase(
		order_id integer unique,
		price number(20,2),
		pur_date date,
		pur_status varchar(11),
		foreign key(order_id) references orders(order_id) on delete cascade
);

describe customers;
describe products;
describe orders;
describe purchase;

insert into products(pro_id,name,description,price,in_stock) values(1000,'Laptop','Electronics',45000.9090,5);
insert into products(pro_id,name,description,price,in_stock) values(2000,'Modem','Electronics',2000.56,50);
insert into products(pro_id,name,description,price,in_stock) values(3000,'Mouse','Electronics',500.83,100);
insert into products(pro_id,name,description,price,in_stock) values(4000,'Key Board','Electronics',650.45,200);
insert into products(pro_id,name,description,price,in_stock) values(5000,'Mobile','Electronics',4000.656,55);	

select * from products;

insert into customers(cus_id,cus_name,phone,street,email) values(1,'Aatik','01723','Khulna','aatik@live.com');
insert into customers(cus_id,cus_name,phone,street,email) values(2,'Rehman','01913','Dhaka','rehman@live.com');

select * from customers;

insert into orders(order_id,cus_id,pro_id,quantity) values(11,1,4000,30);
insert into orders(order_id,cus_id,pro_id,quantity) values(22,2,4000,30);

select * from orders;

insert into purchase(order_id,price,pur_date,pur_status) values(11,20000.98,'03-jul-14','Not deliver');
insert into purchase(order_id,price,pur_date,pur_status) values(22,20000.98,'03-jul-14','Not deliver');

select * from purchase;