drop table RAB;
drop table FORCE;
drop table WEAPON;



create table FORCE(
force_id varchar(10),
name varchar(30) not null,
age number(2) check(age>17 and age<45),
rank varchar(20) not null,
joining_date date,
force_name varchar(10),
primary key(force_id)
);

create table WEAPON(
weapon_id number(10),
category varchar(15),
place_of_origin varchar(15),
date_of_production varchar(15),
price number(7),
primary key(weapon_id)
);

create table RAB(
force_id varchar(10),
joining_date date not null,
joining_battalion varchar(10) not null,
posting varchar(15),
speciality varchar(15),
payment number(6),
weapon_id number(10),
foreign key(force_id) references FORCE(force_id) on delete cascade,
foreign key(weapon_id) references WEAPON(weapon_id) on delete cascade
);

describe FORCE;
describe RAB;
describe WEAPON;

insert into FORCE values('A1107049','Irtiza Khan',22,'Colonel','03-Nov-1991','ARMY');
insert into FORCE values('A1107046','Jubair Azami Badhon',21,'Colonel','25-July-1992','ARMY');
insert into FORCE values('A1107050','Salman Morshed',22,'Major','03-Nov-1991','ARMY');
insert into FORCE values('P1107008','Kazi Sajid',21,'SP','20-Jun-1992','POLICE');
insert into FORCE values('P1107006','Khan Jishan',22,'SP','21-July-1993','POLICE');
insert into FORCE values('P1107007','Surid Reza',22,'SP','21-July-1992','POLICE');
select * from FORCE;

