drop table students;
drop table batch_details;
drop table teacher;
drop table co_ordinator;

create table co_ordinator(
			co_ordinator_code number(5) not null,
			name varchar(15) not null,
			salary number(6) not null,
			PRIMARY KEY (co_ordinator_code)
);

create table batch_details(
		batch_code number(6) NOT NULL,
	    name varchar(8) NOT NULL,
		batch_time varchar(8),
		remarks varchar(5),
		co_ordinatorid number(5) NOT NULL references co_ordinator (co_ordinator_code) ON DELETE CASCADE,
		PRIMARY KEY (batch_code)
		);

create table students(
    roll number(6) NOT NULL,
	name varchar(20) NOT NULL,
	batch_code number(6) NOT NULL references batch_details (batch_code) ON DELETE CASCADE,
	dues integer,
	admission_date date,
	PRIMARY KEY (roll)
);

create table teacher(
	teacher_code number(5) not null,
	name varchar(10) not null,
	salary number(6),
	remarks varchar(5),
	co_ordinator number(5) not null references co_ordinator (co_ordinator_code) ON DELETE CASCADE,
	PRIMARY KEY (teacher_code)
);

describe co_ordinator;
describe batch_details;
describe students;
describe teacher;

insert into co_ordinator values(101,'Real',20000);
insert into co_ordinator values(103,'Polash',8000);
insert into co_ordinator values(105,'Ahamed',7000);

insert into teacher values(123,'Real',20000,'best',101);
insert into teacher values(228,'Alim',8000,'well',103);
insert into teacher values(312,'Rashed',9000,'beter',105);

insert into batch_details values(110701,'bestA','07:30 AM','best',101);
insert into batch_details values(110801,'bestB','09:30 AM','best',103);
insert into batch_details values(110901,'bestC','07:30 AM','best',105);

insert into students values(110723,'Farhan Qurayshi',110701,00,'12 jul 2012');
insert into students values(110725,'Raju Rastogi',110701,00,'13 jul 2012');
insert into students values(110727,'Ranchordas',110701,00,'14 jul 2012');

select * from co_ordinator;
select * from teacher;
select * from batch_details;
select * from students;

commit;